# Common Configuration Parameters

The following table lists parameters used to configure for all transfer requests.

Parameter | Description
--- | ---
SecurityPolicy | Defines whether TIBCO MFT Platform Server complies with any security policy on send and receive transfers. HIPAA: this setting requires TIBCO MFT Platform Server to comply with HIPAA (Health Insurance Portability and Accountability Act) standards. The standards require all file transfers to use encryption key length that is 128 bits or greater. FIPS140: this setting requires TIBCO MFT Platform Server to comply with FIPS (Federal Information Processing Standard). This requires that all file transfers to use SSL with an encryption type of Rijndael (AES) which uses a key length of 256 bits. This is a Government standard that certifies cryptographic modules used for the protection of sensitive but unclassified information and communications in electronic commerce within a security system. None: no security policy is enforced on TIBCO MFT Platform Server. Note: If you initiate a transfer using DES encryption, which is not allowed for either HIPAA or FIPS-140, the encryption is overridden with a certified encryption method. If you are using HIPAA, a prompted message is displayed informing you the encryption is changed to Blowfish Long. If you are using FIPS-140, you receive a prompted message informing you the encryption is changed to Rijndael (AES).
LogEventFileName | Defines the name of the file that holds the initiator log file. By default, the log file is located in the $CFROOT/log directory. Ensure that the directory exists before you change the name of the log directory.
TransnumFileName | Defines the file name where the current transaction number is stored. Platform Server uses this file to generate the transaction ID when a transfer is started. This parameter should only be set when running in a container because this file must be saved in persistent storage. Otherwise, you should use the default value.
PQFDirectory | Defines the directory where the PQF files are stored. PQF files store transfer restart information when a transfer fails and can be restarted. This parameter should only be set when running in a container because PQF files should be saved in persistent storage. If this parameter is not set, restart still works when executing in a container, but the restart information is lost if the container restarts.
AuditTempErrors | Defines whether all transfer attempts or only the final attempt is logged.
SemaphoreKey | Defines the key used to create a semaphore. If there are several transfers going on simultaneously, the output statements from different transactions can overwrite each other. This situation can be prevented by using a semaphore that synchronizes access to the log file. The valid values are decimal numbers between 1 and 2147483647 or hexadecimal numbers between 0x00000001 and 0x7fffffff. Hexadecimal numbers must be prefixed with 0x. Note: The default value 0x07e9368b cannot be changed unless instructed by TIBCO Support.
SMTPServer | Defines the name of the email server and the port that is used to send out email notifications. The format to define the port is: your.smtp.server:port If the port is not defined, it defaults to port 25. Example: your.smtp.server:25
FromAddress | Defines the value of the From Name field in the email notification.
Subject | Defines the Subject line of the email notification. The maximum length of the defined value is 256 characters.
CfgPostProc | Defines the name of the file that holds the post processing configuration. For more information, see Configured Post Processing.
AccessControlConfig | Defines the path to the AccessControl.cfg in the $CFROOT/config directory. You can change the default directory for a file based on the USERID, NODE or IPADDR parameters on responder transfer requests only. For more information, see Access Control.
AliasConfig | Defines the path to the CfAlias.cfg file in the $CFROOT/config directory. You can use an alias file name based on the USERID, NODE or IPADDR parameters for responder transfer requests only. For more information, see CfAlias.
Encode | Defines how file names are translated when sent to the remote Platform Server or Internet Server. Valid values are: N: File names contain standard Latin characters and will not be converted to UTF-8. A valid Coded Character Set: Tells Platform Server to convert the file names from this character set to UTF-8. When this parameter is set to a value other than N, the data is converted from this character set to UTF-8. TIBCO MFT Platform Server then sends the UTF-8 file name to the target system where it is converted back to the characters set defined on that Platform Server or Internet Server. For example, if you have file names with Korean or Chinese characters, then you should set this parameter to the character set of the local UNIX machine.
AdminGroup | Defines the group name that holds users who can configure nodes, profiles, and responder profiles, as well as view audit records from all users.
BrowseGroup | Defines the group name that holds users who can view audit records from all users. Note: Users who are not in the specified browse group can only view transactions that they conducted.
TransferGroup | Defines the group name that holds users who can conduct platform to platform file transfers initiated from Command Center. Note: If this group does not exist and a transfer request comes in from Command Center, the transfer can succeed based on the node configurations for the Command Center. If the group does exist and the end user account being used for a file transfer initiated from Command Center is not a member, the transfer fails.
LogDirectoryTransfers | Defines whether to log cfdir requests when doing directory transfers. The valid values are Y, N or Errors. The default value is Y. Errors means the cfdir request is logged only when an error occurs.
CRC | Defines whether to perform a CRC check. The valid values are N or Y.

## Parse Commands

Parameter | Description
--- | ---
protect_cctransfer | Defines the processing performed when MFT Command Center initiates a Platform Server Transfer to Platform Server for UNIX. The valid values are: none: No additional parsing is performed when Platform Server executes a system command. reject: If a command to be executed includes any of the characters defined by the rejectcmdcharacters parameter, the command terminates with an error. exec: The default value is exec: The command to be executed calls the exec function. This call does not allow multiple commands to be executed in a single command string. The exec option supports up to 100 command line parameters.
protect_cfdir | Defines the processing performed when a cfdir request is received. A cfdir request prompts Platform Server to return a directory list or the status of a file or directory. The valid values are: none: No additional parsing is performed when Platform Server executes a system command. reject: If a command to be executed includes any of the characters defined by the rejectcmdcharacters parameter, the command terminates with an error. exec: The command to be executed calls the exec function. This call does not allow multiple commands to be executed in a single command string. The exec option supports up to 100 command line parameters. The default value is reject.
protect_cfgpostproc | Defines the processing performed when a configured postprocessing command is executed. The valid values are: none: No additional parsing is performed when Platform Server executes a system command. You can add the ampersand sign (&) as the last character to prompt Platform Server to execute the command in the background. You can add the pound sign (#) as the last character to prompt Platform Server to wait for the system call to complete. token: If a PPA or substitutable postprocessing token includes any of the characters defined by the rejectcmdcharacters parameter, the command terminates with an error. The following PPA or configured postprocessing tokens lists some of the tokens: File Name related (i.e. any token computed from a file name) User Data Process Name exec: The command to be executed calls the exec function. This call does not allow multiple commands to be executed in a single command string. You can add the ampersand sign (&) as the last character to prompt Platform Server to execute the command in the background. You can add the pound sign (#) as the last character to prompt Platform Server to wait for the exec call to complete. The exec option supports up to 100 command line parameters. The default value is token.
protect_fusutil | Defines the processing performed when a fusutil request is received. A fusutil request prompts Platform Server to perform one of the following functions: Deletes a file or directory Renames file or directory Returns whether a file exists Creates a directory The valid values are: none: No additional parsing is performed when Platform Server executes a system command. reject: If a command to be executed includes any of the characters defined by the rejectcmdcharacters parameter, the command terminates with an error. exec: The command to be executed calls the exec function. This call does not allow multiple commands to be executed in a single command string. The exec option supports up to 100 command line parameters. The default value is reject.
protect_ppa | Defines the processing performed when a PPA command is executed. The valid values are: none: No additional parsing is performed when Platform Server executes a system command. You can add the ampersand sign (&) as the last character to prompt Platform Server to execute the command in the background. You can add the pound sign (#) as the last character to prompt Platform Server to wait for the system call to complete. token: If a PPA or configured postprocessing token includes any of the characters defined by the rejectcmdcharacters parameter, the command terminates with an error. The following PPA or configured postprocessing tokens lists some of the tokens: File Name related (i.e. any token computed from a file name) User Data Process Name exec: The command to be executed calls the exec function. This call does not allow multiple commands to be executed in a single command string. You can add the ampersand sign (&) as the last character to prompt Platform Server to execute the command in the background. You can add the pound sign (#) as the last character to prompt Platform Server to wait for the system call to complete. The exec option supports up to 100 command line parameters. The default value is token.
protect_rcmd | Defines the processing performed when receiving a command other than cfdir or fusutil. The valid values are: none: No additional parsing is performed when Platform Server executes a system command. You can add the ampersand sign (&) as the last character to prompt Platform Server to execute the command in the background. You can add the pound sign (#) as the last character to prompt Platform Server to wait for the system call to complete. reject: If a command to be executed includes any of the characters defined by the rejectcmdcharacters parameter, the command terminates with an error. Note: You can the ampersand sign (&) to tell Platform Server to execute the command in background. exec: The command to be executed calls the exec function. This call does not allow multiple commands to be executed in a single command string. You can add the ampersand sign (&) as the last character to prompt Platform Server to execute the command in the background. You can add the pound sign (#) as the last character to prompt Platform Server to wait for the exec call to complete. The exec option supports up to 100 command line parameters. The default value is reject.
protect_receivedir | Defines the processing performed when executing a receive directory and Platform Server issues a "`cfsend trtype:c rcmd:'_cfdir ....'`" command to request a directory list. The valid values are: none: No additional parsing is performed when Platform Server executes a system command. reject: If a command to be executed includes any of the characters defined by the rejectcmdcharacters parameter, the command terminates with an error. exec: The command to be executed calls the exec function. This call does not allow multiple commands to be executed in a single command string. The default value is exec.
rejectcmdcharacters | Defines the characters that are validated when reject or token is defined for a parameter. When one of these parameters is in a command or token, the command terminates with an error. The valid values are up to 10 characters. The default value is `;&|`.

Copyright © 2022. TIBCO Software Inc. All Rights Reserved.